Bug 562217 - (CVE-2010-0414) CVE-2010-0414 gnome-screensaver: loses its unlock dialog and keyboard grab sometimes when unplugging monitor
CVE-2010-0414 gnome-screensaver: loses its unlock dialog and keyboard grab so...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=redhat,reporte...
: Security
: 566774 (view as bug list)
Depends On: 562318 562882
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-05 11:19 EST by Ray Strode [halfline]
Modified: 2010-02-25 09:20 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-25 09:20:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
handle monitor topology changes better (2.54 KB, patch)
2010-02-05 11:21 EST, Ray Strode [halfline]
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 609337 None None None Never

  None (edit)
Description Ray Strode [halfline] 2010-02-05 11:19:54 EST
Under certain circumstances it is possible to circumvent the security of screen locking functionality of gnome-screensaver by changing the systems physical monitor configuration.

Steps to reproduce:

1) Lock screen
2) Move mouse to removable monitor
3) hit escape key to cancel unlock dialog
4) move mouse to bring up unlock dialog on new head
5) unplug monitor
6) quickly hit keys on the keyboard

At this point gnome-screensaver will either crash, or show a black screen.  If it shows a black screen then hitting "alt-f2" and then typing "pkill -f gnome-screensaver" will bring you to the session.
Comment 1 Ray Strode [halfline] 2010-02-05 11:21:20 EST
Created attachment 389117 [details]
handle monitor topology changes better

This addresses the issue by fixing the code paths that handle a monitor disappearing.
Comment 2 Ray Strode [halfline] 2010-02-05 17:16:21 EST
Note the only stable gnome release this affects is 2.28.

The code that caused this issue went into gnome-screensaver some time ago during the 2.24 devel cycle:

http://git.gnome.org/browse/gnome-screensaver/commit/?id=f6d3defdc

But we didn't get autoconfiguration of hotplugged monitors until gnome 2.28's devel cycle:

http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=be513b3

Which is a prerequisite for triggering this bug.
Comment 3 Vincent Danen 2010-02-05 17:27:50 EST
This has been given the name CVE-2010-0414.
Comment 6 Vincent Danen 2010-02-08 11:20:43 EST
Embargo is lifted and this issue is public now.
Comment 9 Fedora Update System 2010-02-08 23:59:39 EST
gnome-screensaver-2.28.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Ray Strode [halfline] 2010-02-19 14:53:16 EST
*** Bug 566774 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.